Get a custom function

View as Markdown

Gets information about a custom function.

By default, the response only returns the custom function’s metadata. To include custom function contents in the response, pass the include query parameter.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

customFunctionIdstringRequired
The custom function's ID.

Query parameters

includeenumOptional

The related fields to include in the response. Currently only content is supported. Omit this parameter to receive only the resource’s metadata.

Allowed values:

Response

Successful Response
idstringOptional
The custom function's ID.
namestringOptional
The custom function's name, derived from its path.
pathstringOptional

The custom function’s path, in the form functions/<name>.js.

descriptionstringOptional
The custom function's description.
typeenumOptional
The custom function's type.
Allowed values:
createdBystringOptional
The ID of the user who created the custom function.
updatedBystringOptional
The ID of the user who last updated the custom function.
createdAtdatetimeOptional
The date and time at which the custom function was created.
updatedAtdatetimeOptional
The date and time at which the custom function was last updated.
contentstringOptional

The custom function’s content, up to a maximum of 500 KB (UTF-8).

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error